<div>
  <igx-navbar
    actionButtonIcon="menu"
    (action)="toggleDrawer()"
    [isActionButtonVisible]="true"
  >
    <button *ngIf="!isAuth" igxButton="flat" (click)="googleSignIn()">
      <igx-icon family="material">google</igx-icon>
      <span>Log In</span>
    </button>
    <igx-icon
      *ngIf="isAuth"
      [igxToggleAction]="dropdown"
      [igxDropDownItemNavigation]="dropdown"
      [igxToggleOutlet]="dropdownOutlet"
      [overlaySettings]="dropdownOverlaySettings"
      >perm_identity</igx-icon
    >
    <igx-drop-down #dropdown>
      <igx-drop-down-item (click)="logout()">
        <span>Выйти</span>
      </igx-drop-down-item>
    </igx-drop-down>
  </igx-navbar>

  <div igxOverlayOutlet #dropdownOutlet="overlay-outlet"></div>
</div>
